의뢰 상세
curl --request GET \
--url https://openapi.pluuug.com/v1/inquiry/{inquiry_id} \
--header 'X-API-Key: <api-key>' \
--header 'X-Signature: <api-key>'import requests
url = "https://openapi.pluuug.com/v1/inquiry/{inquiry_id}"
headers = {
"X-API-Key": "<api-key>",
"X-Signature": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>', 'X-Signature': '<api-key>'}};
fetch('https://openapi.pluuug.com/v1/inquiry/{inquiry_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"uniqueId": "<string>",
"name": "<string>",
"inquiryDate": "2023-12-25",
"created": "2023-11-07T05:31:56Z",
"fileSet": [
{
"id": 123,
"name": "<string>",
"file": "<string>",
"created": "2023-11-07T05:31:56Z"
}
],
"status": {
"id": 123,
"title": "<string>",
"folder": {
"id": 123,
"name": "<string>"
}
},
"client": {
"id": 123,
"status": {
"id": 123,
"title": "<string>"
},
"companyName": "<string>",
"inCharge": "<string>",
"position": "<string>",
"contact": "<string>",
"email": "jsmith@example.com"
},
"contract": {
"id": 123,
"title": "<string>",
"amount": 123,
"startDate": "2023-12-25",
"endDate": "2023-12-25"
},
"content": "<string>",
"estimate": "<string>",
"funnel": {
"utmCampaign": "<string>",
"utmSource": "<string>",
"utmMedium": "<string>",
"utmContent": "<string>",
"utmTerm": "<string>",
"guestUid": "<string>",
"gclid": "<string>"
},
"workSet": [
{
"name": "<string>"
}
],
"inChargeSet": [
{
"id": 123,
"nickname": "<string>",
"email": "<string>",
"isActive": true,
"grade": {
"id": 123,
"title": "<string>"
}
}
],
"fieldSet": [
{
"field": {
"id": 123,
"name": "<string>",
"optionSet": [
{
"id": "<string>",
"title": "<string>"
}
],
"memberSet": [
{
"id": 123,
"nickname": "<string>",
"email": "<string>",
"isActive": true,
"grade": {
"id": 123,
"title": "<string>"
}
}
]
},
"value": "<string>"
}
],
"fileLinkSet": [
{
"id": 123,
"text": "<string>",
"link": "<string>",
"created": "2023-11-07T05:31:56Z"
}
]
}의뢰
의뢰 단일 조회
의뢰 상세 정보를 조회합니다. file_set에 첨부 파일 목록이 presigned 다운로드 URL과 함께 포함됩니다.
GET
/
v1
/
inquiry
/
{inquiry_id}
의뢰 상세
Authorizations
HMAC-SHA256 방식으로 body를 secret key로 해싱하여 생성한 서명을 넣어야 합니다. 서버는 X-API-Key와 대응되는 secret key로 서명을 검증합니다.
Path Parameters
Response
200 - application/json
GET 응답 스키마 전용 — file_set을 조회용 serializer로 선언
의뢰 고유번호
의뢰 이름
Maximum string length:
64문의 일시
생성일시
첨부 파일 (presigned 다운로드 URL 포함)
Show child attributes
Show child attributes
의뢰 상태
Show child attributes
Show child attributes
고객
Show child attributes
Show child attributes
계약
Show child attributes
Show child attributes
의뢰 내용
예상 견적
Pattern:
^-?\d{0,28}(?:\.\d{0,2})?$유입 경로
Show child attributes
Show child attributes
의뢰 업무
Show child attributes
Show child attributes
영업 담당자
Show child attributes
Show child attributes
커스텀 필드
Show child attributes
Show child attributes
링크 첨부
Show child attributes
Show child attributes
⌘I